PETSc version 3.15.5
Fix/Edit manual page

# DMDAGetLogicalCoordinate

Returns a the i,j,k logical coordinate for the closest mesh point to a x,y,z point in the coordinates of the DMDA

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetLogicalCoordinate(DM da,PetscScalar x,PetscScalar y,PetscScalar z,PetscInt *II,PetscInt *JJ,PetscInt *KK,PetscScalar *X,PetscScalar *Y,PetscScalar *Z)

Collective on da

### Input Parameters

| da | - the distributed array
| x,y,z | - the physical coordinates

### Output Parameters

| II, JJ, KK | - the logical coordinate (-1 on processes that do not contain that point)
| X, Y, Z, | - (optional) the coordinates of the located grid point

### Notes

All processors that share the DMDA must call this with the same coordinate value

### Level

advanced

### Location

src/dm/impls/da/dasub.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages